using System;
using System.Collections.Generic;
using Optional;

namespace BoFilTest.Domain
{
    public class TestTimings
    {
        public TestTimings()
        {
            IntermediateDemoisturizing = new List<TimeSpan>();
            CakeWash = new List<TimeSpan>();
            Press = Option.None<TimeSpan>();
            Vaporization = Option.None<TimeSpan>();
            GasBreakthrough = Option.None<TimeSpan>();
        }
        public TimeSpan CakeFormationTime { get; set; }
        public List<TimeSpan> IntermediateDemoisturizing { get; set; } 
        public List<TimeSpan> CakeWash { get; set; }
        public Option<TimeSpan> Press { get; set; }
        public Option<TimeSpan> Vaporization { get; set; }
        public Option<TimeSpan> GasBreakthrough { get; set; }
        public TimeSpan Demoisturizing { get; set; }
    }
}
